﻿
import java.io.*;

public class Copia {
	public static void main(String [] args) throws IOException {
		if (args.length!=2) {
			System.err.println("Uso: Copia forig fdest");
			return;
		}
		InputStream ent = null;
		OutputStream sal = null;

		try {
			ent = new FileInputStream(args[0]);
			sal = new FileOutputStream(args[1]);

			int car;
			while ((car = ent.read()) != -1)
				sal.write(car);
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
